<?php
class BuzzbookingCreatedDiscountCodeFieldsOnActivityPackagesAndAddedEmailNotificationsField extends CakeMigration {

/**
 * Migration description
 *
 * @var string
 */
	public $description = 'buzzbooking_created_discount_code_fields_on_activity_packages_and_added_email_notifications_field';

/**
 * Actions to be performed
 *
 * @var array $migration
 */
	public $migration = array(
		'up' => array(
			'create_field' => array(
				'activity_packages' => array(
					'email_notifications' => array('type' => 'text', 'null' => true, 'default' => null, 'collate' => 'utf8_unicode_ci', 'charset' => 'utf8', 'after' => 'api_discount_code'),
					'use_all_discount_codes' => array('type' => 'boolean', 'null' => true, 'default' => null, 'after' => 'email_notifications'),
					'valid_discount_codes' => array('type' => 'text', 'null' => true, 'default' => null, 'collate' => 'utf8_unicode_ci', 'charset' => 'utf8', 'after' => 'use_all_discount_codes'),
					'off_peak_discounts_only' => array('type' => 'boolean', 'null' => true, 'default' => null, 'after' => 'valid_discount_codes'),
				),
				'bookings' => array(
					'discount' => array('type' => 'decimal', 'null' => true, 'default' => null, 'length' => '10,2', 'unsigned' => false, 'after' => 'insurance_cost'),
					'discount_code' => array('type' => 'string', 'null' => true, 'default' => null, 'length' => 100, 'collate' => 'utf8_unicode_ci', 'charset' => 'utf8', 'after' => 'discount'),
				),
			),
		),
		'down' => array(
			'drop_field' => array(
				'activity_packages' => array('email_notifications', 'use_all_discount_codes', 'valid_discount_codes', 'off_peak_discounts_only'),
				'bookings' => array('discount', 'discount_code'),
			),
		),
	);

/**
 * Before migration callback
 *
 * @param string $direction Direction of migration process (up or down)
 * @return bool Should process continue
 */
	public function before($direction) {
		return true;
	}

/**
 * After migration callback
 *
 * @param string $direction Direction of migration process (up or down)
 * @return bool Should process continue
 */
	public function after($direction) {
		return true;
	}
}
